import React from 'react';
import { Platform, View } from 'react-native';
import { Scene, Router, Drawer, Actions } from 'react-native-router-flux';
import { Constants } from 'expo';
import FirstScreen from './FirstScreen';
import SecondScene from './SecondScene';

const RouterComponent = () => {
  return (
    <Router titleStyle={styles.navBarTitle}>
      <Scene key="root" hideNavBar={true} initial>
        <Scene key="main" hideNavBar={true}>
          <Scene key="FirstScreen" component={FirstScreen} panHandlers={null} initial />
        </Scene>
        <Scene key="test" hideNavBar={true}>
        	<Scene key="test2" hideNavBar={true}>
            	<Scene key="SecondScreen" component={SecondScene} panHandlers={null} />
            </Scene> 
        </Scene>
      </Scene>
    </Router>
  );
};

const styles = {
  navBarStyle: {
    backgroundColor: '#033144',
    ...Platform.select({
      android: { marginTop: Constants.statusBarHeight } }),
  },
}

export default RouterComponent;
